Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
spending-limit
/
{spending_limit_address}
/
transactions
Use a spending limit to transfer tokens
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit/{spending_limit_address}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1,
  "recipient_address": "<string>",
  "signer_address": "<string>"
}
'
{
  "kms_payloads": [
    {
      "address": "<string>",
      "payload": "<string>",
      "provider": "privy"
    }
  ],
  "transaction": "<string>",
  "transaction_signers": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.squads.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Path Parameters

address
string
required

Smart account address

spending_limit_address
string
required

Spending limit address

Body

application/json
amount
integer<int64>
required
Required range: x >= 0
recipient_address
string
signer_address
string

Response

Transaction created successfully

kms_payloads
object[]
required
transaction
string
required
transaction_signers
string[]